﻿/* This method will add a comment and is used when a user submits a comment so that the page does not need to be reloaded. */
function AddComment(name, rating, text) {
    var elem = $('<div>').addClass('book-review book-review-me');

    elem.append($('<div>').addClass('book-review-content').text(text));
    var infoElem = $('<div>').addClass('book-review-info');
    infoElem.append($('<h5>').text(name));
    
    var ratingElem = $('<p>').addClass('book-rating');
    elem.append($('<div>').addClass('book-review-content').text(text));
    // Display the stars.
    for (var i = 0; i < 5; i++)
    {
        if(rating <= i)
            ratingElem.append($('<span>').addClass('glyphicon glyphicon-star-empty'));
        else
            ratingElem.append($('<span>').addClass('glyphicon glyphicon-star'));
    }

    infoElem.append(ratingElem);

    elem.append(infoElem);

    $('.book-review-container').append(elem);
    elem.hide().fadeIn();
}

$(document).ready(function () {
    // Add the current book to the user's cart if the add to cart button is pressed.
    $('.cart-add-btn').click(function () {
        AddCartItem(currentBookID, currentBookTitle, currentBookCost, 1);
    });

    // When a comment is submitted, validate the data and add it.
    $('#review-submit-btn').click(function () {
        var ratingValue = $('#review-rating-dropdown').prop('selectedIndex') - 1;

        if (ratingValue == -1)
        {
            alert("You must select a rating.");
            return;
        }

        var ratingText = $('#review-text-area').val();

        if (ratingText.length < 5)
        {
            alert("Your review is too short.")
            return;
        }

        $('#review-submit-btn').prop('disabled', true);

        $.ajax({
            type: "GET",
            url: "../SubmitReview",
            data: { text:ratingText, rating:ratingValue, bookID:currentBookID},

            success: function (data) {
                AddComment(loggedUsername, ratingValue, ratingText);
                $('.comment-area').hide();
                console.log(data);
            },
            failure: function (data) {

            }
        })
    });

});